Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Joins.Map<Z,K,V>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.PathImpl<Z,X>
                  org.apache.openjpa.persistence.criteria.FromImpl<Z,E>
                      org.apache.openjpa.persistence.criteria.Joins.AbstractCollection<Z,Map<K,V>,V>
                          org.apache.openjpa.persistence.criteria.Joins.Map<Z,K,V>

Type Parameters:
  `Z` - the type from which being joined
  `K` - the type of the the map attribute keys
  `V` - the type of the the map attribute values

All Implemented Interfaces:
  Expression<V>, FetchParent<Z,V>, From<Z,V>, Join<Z,V>, MapJoin<Z,K,V>, Path<V>, PluralJoin<Z,Map<K,V>,V>, Selection<V>, TupleElement<V>, CriteriaExpression

Enclosing class:
  Joins

    static class Joins.Map<Z,K,V>

extends Joins.AbstractCollection<Z,Map<K,V>,V>
implements MapJoin<Z,K,V>

Join a java.util.Map<K,V> type attribute.

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`_member, _parent`

Constructor Summary
`Joins.Map(FromImpl<?,Z> parent, Members.MapAttributeImpl<? super Z,K,V> member, JoinType jt)`

Method Summary
`Expression<Map.Entry<K,V>>` | `entry()`
`MapAttribute<? super Z,K,V>` | `getModel()` Returns the bindable object that corresponds to the path expression.
`Join<Map<K,V>,K>` | `joinKey()`
`Join<Map<K,V>,K>` | `joinKey(JoinType jt)` Create a pseudo-attribute of a pseudo-managed type for java.util.Map<K,V> to represent its keys of type java.util.Set<V>.
`Path<K>` | `key()`
`Expression` | `toKernelExpression(ExpressionFactory factory, CriteriaQueryImpl<?> c)` Convert this path to a join expression.
`Path<V>` | `value()`

Methods inherited from class org.apache.openjpa.persistence.criteria.Joins.AbstractCollection
`asVariable, getAttribute, getJoinType, getMemberClassMetaData, getParent, toValue`

Methods inherited from class org.apache.openjpa.persistence.criteria.FromImpl
`acceptVisit, assertJoinable, fetch, fetch, fetch, fetch, fetch, fetch, getCorrelationParent, getFetches, getJoins, getType, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`asValue, get, get, get, get, getCorrelatedJoin, getCorrelatedPath, getCorrelatedRoot, getEmbeddedFieldMetaData, getInnermostMember, getInnermostParentPath, getMember, getParentPath, inSubquery, isCorrelated, setCorrelatedPath, traversePath, type`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Constructor Detail

### Joins.Map

    public Joins.Map(FromImpl<?,Z> parent,
                     Members.MapAttributeImpl<? super Z,K,V> member,
                     JoinType jt)

Method Detail

### getModel

    public MapAttribute<? super Z,K,V> getModel()

  Description copied from class: `PathImpl`
  Returns the bindable object that corresponds to the path expression.

  Specified by:
    `getModel` in interface `MapJoin<Z,K,V>`
  Specified by:
    `getModel` in interface `Path<V>`
  Specified by:
    `getModel` in interface `PluralJoin<Z,Map<K,V>,V>`
  Overrides:
    `getModel` in class `Joins.AbstractCollection<Z,Map<K,V>,V>`

### joinKey

    public Join<Map<K,V>,K> joinKey()

### joinKey

    public Join<Map<K,V>,K> joinKey(JoinType jt)

  Create a pseudo-attribute of a pseudo-managed type for java.util.Map<K,V> to represent its keys of type java.util.Set<V>.

### entry

    public Expression<Map.Entry<K,V>> entry()

  Specified by:
    `entry` in interface `MapJoin<Z,K,V>`

### key

    public Path<K> key()

  Specified by:
    `key` in interface `MapJoin<Z,K,V>`

### value

    public Path<V> value()

  Specified by:
    `value` in interface `MapJoin<Z,K,V>`

### toKernelExpression

    public Expression toKernelExpression(ExpressionFactory factory,
                                         CriteriaQueryImpl<?> c)

  Description copied from class: `Joins.AbstractCollection`
  Convert this path to a join expression.

  Overrides:
    `toKernelExpression` in class `Joins.AbstractCollection<Z,Map<K,V>,V>`
  Parameters:
    `factory` - creates the kernel expression
    `c` - the query definition context of this expression
  Returns:
    an equivalent kernel expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.